VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Privilege::Component Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Privilege::Component:

## Avaliable Methods
public method | get ()
public method | fingerprint ()
public method | new ()
public method | list ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Privilege::Component` interface provides methods* to retrieve privilege information of a component element.

A component element is said to contain privilege information if any one of package elements in it contains privilege information.

Constant String::RESOURCE_TYPE # Resource type for vAPI component.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Privilege::Component::fingerprint | ( |  | ) |

Retrieves the fingerprint computed from the privilege metadata of the component element corresponding to `component_id` .

The fingerprint provides clients an efficient way to check if the metadata for a particular component has been modified on the server. The client can do this by comparing the result of this operation with the fingerprint returned in the result of :func:`Com::Vmware::Vapi::Metadata::Privilege::Component.get` .

Parameters

  component_id | [REQUIRED] Identifier of the component element. The value must be an identifier for the resource type getQualifiedName(com.vmware.vapi.component). . The value must be str.

Return values

  The | fingerprint computed from the privilege metadata of the component. The return type will be String

Exceptions

  Com::Vmware::Vapi::Std::Errors::NotFound | if the component element associated with `component_id` does not have any privilege information.

Code:
click to view
# Number of lines of code in fingerprint: 10
sub fingerprint {
my ($self, %args) = @_;
my $component_id = $args {component_id};
$self->validate_args (method_name => 'fingerprint',
method_args => \%args);
return $self->invoke (method_name => 'fingerprint',
method_args => \%args);
}

public method Com::Vmware::Vapi::Metadata::Privilege::Component::get | ( |  | ) |

Retrieves privilege information about the component element corresponding to `component_id` .

The class Com::Vmware::Vapi::Metadata::Privilege::ComponentData contains the privilege information about the component element and its fingerprint. It contains information about all the package elements that belong to this component element.

Parameters

  component_id | [REQUIRED] Identifier of the component element. The value must be an identifier for the resource type getQualifiedName(com.vmware.vapi.component). . The value must be str.

Return values

  The | class Com::Vmware::Vapi::Metadata::Privilege::ComponentData instance that corresponds to `component_id` The return type will be Com::Vmware::Vapi::Metadata::Privilege::ComponentData

Exceptions

  Com::Vmware::Vapi::Std::Errors::NotFound | if the component element associated with `component_id` does not have any privilege information.

Code:
click to view
# Number of lines of code in get: 10
sub get {
my ($self, %args) = @_;
my $component_id = $args {component_id};
$self->validate_args (method_name => 'get',
method_args => \%args);
return $self->invoke (method_name => 'get',
method_args => \%args);
}

public method Com::Vmware::Vapi::Metadata::Privilege::Component::list | ( |  | ) |

Returns the identifiers for the component elements that have privilege information.

Return values

  The | list of identifiers for the component elements that have privilege information. The value will be an identifier for the resource type getQualifiedName(com.vmware.vapi.component). The return type will be Array of str

Code:
click to view
# Number of lines of code in list: 4
sub list {
my ($self, %args) = @_;
return $self->invoke(method_name => 'list', method_args => {});
}

public method Com::Vmware::Vapi::Metadata::Privilege::Component::new | ( |  | ) |

Constructor to initialize the object

Parameters

  api_provider | - protocol connection to use with stubs created by this factory
  StubConfig | - Stub's additional configuration

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 11
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $stub_config = $args {stub_config};
my $api_provider = $args {api_provider};
my $self = $class->SUPER::new('stub_config' => $stub_config,
'api_provider' => $api_provider);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Privilege/Component.pm